# `angular.mock.module` (API in module `ng` )

Improve this doc

## Description

NOTE: This function is also published on window for easy access.

This function registers a module configuration code. It collects the configuration information which will be used when the injector is created by `inject`.

See `inject` for usage example

## Usage

    angular.mock.module(fns);

### Parameters

- `fns – {...(string|Function)} –`

  any number of modules which are represented as string aliases or as anonymous module initialization functions. The modules are used to configure the injector. The 'ng' and 'ngMock' modules are automatically loaded.